Name:       Akira
Version:    0.0.1
Release:    %{?dist}
Summary:    Akira is a native Linux Design application built in Vala and GTK
License:    GNU GPLv3 / Creative Commons BY-SA Copyright © 2017 Akira Project

#Source cloned from https://github.com/Alecaddd/Akira
Source0: Akira.tar.xz
Source1: com.github.alecaddd.akira.desktop
Source2: com.github.alecaddd.akira.appdata.xml
Source3: com.github.alecaddd.akira.gschema.xml

#Dependencies
BuildRequires:  gtk3-devel >= 3.18
BuildRequires:	granite-devel >= 0.5
BuildRequires:  glib2
BuildRequires:  vala, gettext
BuildRequires:  gtksourceview3-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgee, meson, cairo
#for installing desktop files
BuildRequires: desktop-file-utils
# install AppData files
BuildRequires: libappstream-glib 
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Provides: bundled(com.github.alecaddd.akira)
Requires: gtk3, vala, granite, gtksourceview3, libxml2, gettext
Requires:         hicolor-icon-theme
  
%description
Akira is a native Linux Design application built in Vala and GTK. Akira focuses on offering a modern and fast approach to UI and UX Design, mainly targeting web designers and graphic designers. The main goal is to offer a valid and professional solution for designers who want to use Linux as their main OS.

%prep
%autosetup -p1


%build
meson build --prefix=/usr
cd build/
ninja 


%install
mkdir -p  %{buildroot}/usr/bin/
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/appdata/
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 755 build/src/com.github.alecaddd.akira %{buildroot}/usr/bin/com.github.alecaddd.akira
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
appstream-util validate-relax --nonet %{SOURCE2}
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/glib-2.0/schemas/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mv akira-logo-transparent.png com.github.alecaddd.akira.png
install -m 644 com.github.alecaddd.akira.png %{buildroot}%{_datadir}/pixmaps/com.github.alecaddd.akira.png

%files
/usr/bin/com.github.alecaddd.akira
%{_datadir}/applications/com.github.alecaddd.akira.desktop
%{_datadir}/appdata/com.github.alecaddd.akira.appdata.xml
%{_datadir}/glib-2.0/schemas/com.github.alecaddd.akira.gschema.xml
%{_datadir}/pixmaps/com.github.alecaddd.akira.png

%changelog
#let skip this for now Since it's a pre alpha software
